aWhere Manual
DevelopAPItile-services

Tiles

The tiles of a table or a web map as vector tiles, and their TileJSON.

GET
/api/item/{id}/actions/getTile/{type}.json

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the Item: a table or a web map.

type*string

Any name; the answer is the TileJSON.

Response Body

The TileJSON 3.0 document.

application/json
  1. response
tilejson?string
name?string
tiles?array<string>
bounds?array<number>
minzoom?integer
maxzoom?integer
vector_layers?array<>
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getTile/$TYPE.json" \  -H "Authorization: Bearer $TOKEN"
{  "tilejson": "string",  "name": "string",  "tiles": [    "string"  ],  "bounds": [    0  ],  "minzoom": 0,  "maxzoom": 0,  "vector_layers": [    {}  ]}

Send one tile of a map

GET
/api/item/{id}/actions/getTile/{z}/{x}/{y}.{format}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the Item: a table or a web map.

z*integer

The zoom level.

x*integer

The column of the tile.

y*integer

The row of the tile.

format*string

pbf or mvt for the tile, or json or geojson for its features as GeoJSON.

Header Parameters

If-None-Match?string

The ETag you have.

Response Body

The tile.

response?fileapplication/x-protobuf
Formatbinary
curl -X GET "https://platform.example.com/api/item/$ITEM_ID/actions/getTile/$Z/$X/$Y.$FORMAT" \  -H "Authorization: Bearer $TOKEN"
"string"